Make WordPress Core


Ignore:
Timestamp:
10/07/2019 05:04:49 PM (7 years ago)
Author:
azaozz
Message:

REST API: Add support for continuing the post-processing of images after upload. Flow:

  1. POST /wp/v2/media.
  2. If the upload failed (HTTP 500 error), look for a response header with X-WP-Upload-Attachment-ID header that contains the newly created attachment ID.
  3. POST /wp/v2/media/{id}/post-process with { "action": "create-image-subsizes" }. This request may still fail, but it will save its progress.
  4. On continued failure, DELETE /wp/v2/media/{id} to give up on the upload and instruct the user to resize their image before uploading.

Props TimothyBlynJacobs.
Fixes #47987.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/tests/phpunit/tests/rest-api/rest-schema-setup.php

    r46206 r46422  
    100100                        '/wp/v2/media',
    101101                        '/wp/v2/media/(?P<id>[\\d]+)',
     102                        '/wp/v2/media/(?P<id>[\\d]+)/post-process',
    102103                        '/wp/v2/blocks',
    103104                        '/wp/v2/blocks/(?P<id>[\d]+)',
Note: See TracChangeset for help on using the changeset viewer.